// archivo de robótica test
// con el cuestionario, puede modificarse libremente
var robotica_test =
{
  titulo: "¿Cuánto sabés de electrónica?",
  globo: "¿Te animás a poner a prueba tus conocimientos con este test?",
  texto: [
    "El trabajo con la electrónica y la robótica permite incorporar conocimientos de matemática, física, mecánica e informática desde lo lúdico.",
    "Sin embargo, para iniciarse en estas disciplinas, hay que dominar algunos contenidos."

  ],
  nota: "El original fue diseñado por la organización <a href='http://myfootprint.org'>Myfootprint.org</a>.",
  preguntas: [
    {
      orden: 1,
      grupo: "Seguridad",
      pregunta: "¿Qué elemento es dañino para la salud y cuyo contacto con la piel debe evitarse?",
      respuestas: [
        {
          opcion: 1,
          respuesta: "Mercurio.",
          correcta: true
        },
        {
          opcion: 2,
          respuesta: "Fósforo."
        },
        {
          opcion: 3,
          respuesta: "Batería."
        }
      ]
    },
    {
      orden: 2,
      grupo: "Seguridad",
      pregunta: "Existe un material presente en ciertas baterías y en el estaño de soldadura, \
                 entre otros elementos, que puede ser sumamente tóxico, hasta puede causar la muerte. ¿Cuál es?",
      respuestas: [
        {
          opcion: 1,
          respuesta: "Hierro."
        },
        {
          opcion: 2,
          respuesta: "Plomo.",
          correcta: true
        },
        {
          opcion: 3,
          respuesta: "Vidrio."
        }
      ]
    },
    {
      orden: 3,
      grupo: "Seguridad",
      pregunta: "¿Qué corriente eléctrica es más peligrosa para el ser humano?",
      respuestas: [
        {
          opcion: 1,
          respuesta: "Corriente alterna."
        },
        {
          opcion: 2,
          respuesta: "Corriente continua.",
          correcta: true
        }
      ]
    },
    {
      orden: 4,
      grupo: "Teóricas",
      pregunta: "¿Cómo es la relación entre la intensidad eléctrica y la tensión eléctrica que circula entre dos puntos \
                 de un circuito eléctrico, según la ley de Ohm?",
      respuestas: [
        {
          opcion: 1,
          respuesta: "Inversamente proporcional."
        },
        {
          opcion: 2,
          respuesta: "Directamente proporcional.",
          correcta: true
        }
      ]
    },
    {
      orden: 5,
      grupo: "Teóricas",
      pregunta: "¿Qué tres valores intervienen en la ley de Ohm?",
      respuestas: [
        {
          opcion: 1,
          respuesta: "Tensión, intensidad y resistencia."
        },
        {
          opcion: 2,
          respuesta: "Tensión, electricidad y tolerancia."
        },
        {
          opcion: 3,
          respuesta: "Intensidad, electricidad y temperatura.",
          correcta: true
        }
      ]
    },
    {
      orden: 6,
      grupo: "Teóricas",
      pregunta: "La unidad de medida de la intensidad de la corriente eléctrica es el... ",
      respuestas: [
        {
          opcion: 1,
          respuesta: "... voltio.",
          correcta: true
        },
        {
          opcion: 2,
          respuesta: "... ohmio."
        },
        {
          opcion: 3,
          respuesta: "... amperio."
        }
      ]
    },
    {
      orden: 7,
      grupo: "Herramientas",
      pregunta: "¿Con qué material se unen las partes de un circuito en una plaqueta experimental perforada?",
      respuestas: [
        {
          opcion: 1,
          respuesta: "Estaño.",
          correcta: true
        },
        {
          opcion: 2,
          respuesta: "Cinta aisladora."
        },
        {
          opcion: 3,
          respuesta: "Pegamento."
        }
      ]
    },
    {
      orden: 8,
      grupo: "Herramientas",
      pregunta: "¿Qué herramientas son indispensables para trabajar en el circuito electrónico de un robot?",
      respuestas: [
        {
          opcion: 1,
          respuesta: "Escalpelo."
        },
        {
          opcion: 2,
          respuesta: "Multímetro.",
          correcta: true
        },
        {
          opcion: 3,
          respuesta: "Alicate.",
          correcta: true
        }
      ]
    },
    {
      orden: 9,
      grupo: "Componentes",
      pregunta: "Un transistor de unión bipolar está formado por dos junturas PN en un solo cristal semiconductor, separadas por una región muy estrecha. Las tres regiones son el emisor (E), la base (B) y el colector (C). ¿Dónde se encuentra cada uno de ellos en un transistor de tipo NPN?",
      respuestas: [
        {
          opcion: 1,
          respuesta: "<img src='assets/images/pregunta_09_opcion_a.png' />"
        },
        {
          opcion: 2,
          respuesta: "<img src='assets/images/pregunta_09_opcion_b.png' />"
        },
        {
          opcion: 3,
          respuesta: "<img src='assets/images/pregunta_09_opcion_c.png' />",
          correcta: true
        }
      ]
    },
    {
      orden: 10,
      grupo: "Componentes",
      pregunta: "Generalmente, cuando se utiliza un motor, se coloca un diodo de protección en paralelo al circuito para...",
      respuestas: [
        {
          opcion: 1,
          respuesta: "...proteger el circuito de una sobretensión inversa inducida, causada por la bobina cuando es conmutada.",
          correcta: true
        },
        {
          opcion: 2,
          respuesta: "...dejar pasar la corriente del motor al circuito."
        }
      ]
    },
    {
      orden: 11,
      grupo: "Componentes",
      pregunta: "Las franjas de color en el cuerpo de una resistencia indican su valor. Entonces ¿Qué valor tiene esta resistencia? \
                 (dorado-naranja-negro-marrón).",
      imagen: "images/pregunta_11.png",
      respuestas: [
        {
          opcion: 1,
          respuesta: "220 ohms +/− 5 %."
        },
        {
          opcion: 2,
          respuesta: "10 kohms +/− 10 %."
        },
        {
          opcion: 3,
          respuesta: "10 kohms +/− 5 %.",
          correcta: true
        },
        {
          opcion: 4,
          respuesta: "1 kohms +/− 10 %."
        }

      ]
    },
    {
      orden: 12,
      grupo: "Componentes",
      pregunta: "Un microcontrolador es un circuito integrado programable conformado por...",
      respuestas: [
        {
          opcion: 1,
          respuesta: "Un procesador, una memoria y dispositivos de entrada y salida.",
          correcta: true
        },
        {
          opcion: 2,
          respuesta: "Un procesador, un <em>mouse</em> y un módem."
        },
        {
          opcion: 3,
          respuesta: "Un monitor LCD, una memoria y periféricos de entrada."
        }

      ]
    }
  ],
  conclusiones: {
    "Ok": {
      grupo: "Ok",
      titulo: "¡Felicitaciones!",
      mal_respondidas: 0, // par que nunca se valide
      texto: [
        "¡Felicitaciones! \
         La tenés muy clara: contás con los conocimientos teóricos necesarios para desarrollar proyectos y resolver problemas. \
         Sabés qué herramientas son adecuadas para distintas situaciones y distinguís las características de los componentes que se utilizan en electrónica y robótica.\
         Y, además, reconocés elementos tóxicos o dañinos para la salud. \
         Te aconsejamos que aproveches tus conocimientos: \
         ¡poné en práctica tus ideas y convertilas en realidad!"
      ]
    },
    "Seguridad": {
      grupo: "Seguridad",
      titulo: "Seguridad",
      mal_respondidas: 2, // o más
      texto: [
        "Tenés que adquirir los conocimientos mínimos necesarios para manipular elementos y objetos de robótica y electrónica. \
         ¡La seguridad es esencial para tu salud y la de tu familia! \
         Por eso, hay que ser cuidadoso con los elementos tóxicos, con la electricidad y con el uso de herramientas."
      ]
    },
    "Teóricas": {
      grupo: "Teóricas",
      titulo: "",
      mal_respondidas: 2, // o más
      texto: [
        "Te recomendamos profundizar los conceptos teóricos de electrónica y robótica. \
         Además de los conocimientos prácticos, a la hora de desarrollar proyectos más complejos es necesario que tengas una base teórica que te ayude a resolver cualquier problema."
      ]
    },
    "Herramientas": {
      grupo: "Herramientas",
      titulo: "",
      mal_respondidas: 2, // o más
      texto: [
        "Estás un poco flojo en las nociones mínimas del uso de herramientas. \
         Es imprescindible que tengas las herramientas apropiadas para cada tarea y que sepas cómo utilizarlas. \
         Muchas veces, la diferencia entre poder realizar un trabajo y no poder hacerlo depende de que cuentes con los elementos adecuados."
      ]
    },
    "Componentes": {
      grupo: "Componentes",
      titulo: "",
      mal_respondidas: 2, // o más
      texto: [
        "Necesitás conocer más acerca de los componentes utilizados en electrónica y robótica: \
         cada componente tiene una función principal, una lógica específica y determinadas características. \
         ¿Qué valores máximos y mínimos de tensión y corriente maneja un transistor? \
         Si no querés quemar tu circuito, ¡tenés que saber estas cosas y muchas otras! "
      ]
    }
  }
};