/**
 * Created by fafa on 30/7/15.
 */
"use strict";


var container = $("#container"),
    tl = new TimelineMax( { delay:1, paused: true }),
    sliderMagic = new SliderMagic(tl),
    timelineList = [],
    currTimeline;

// arrastra para avanzar
currTimeline = new TimelineMax()
    .to("#arrastra_para_avanzar", 0.6, {autoAlpha: 0, ease:Linear.easeNone});

timelineList.push({ timeline: currTimeline, position: "=0" });

// se apaga el comenzar
currTimeline = new TimelineMax()
    .to("#comenzar", 0.5, {autoAlpha: 0, scale:0, ease:Bounce.easeOut})

timelineList.push({ timeline: currTimeline, position: "=0" });


// - SLIDE 1 -
currTimeline = new TimelineMax()
    .to("#slide1_globo", 0.5, {scale: 1.2, ease:Circ.easeOut})
    .to("#slide1_globo", 0.5, {scale: 1, ease:Power1.easeOut})
    .to("#slide1_globo", 0.5, {autoAlpha: 0, scale: 0, ease:Bounce.easeOut, delay: 3})
    .to("#slide1", 2.5, tut.rotarHojaFueraProps())

timelineList.push({ timeline: currTimeline, position: "=-3" });


// - SLIDE 2 -
// realizá una búsqueda
currTimeline = new TimelineMax()
    .from("#slide2", 2.5, tut.rotarHojaDentroProps())
    .to("#nene_desarmando", 1, {scale: 0, autoAlpha: 0, ease:Linear.easeNone}, "=-2")
    .to("#robot_sonriente", 1, {scale: 1, y: 90, ease:Linear.easeNone}, "=-2")
    .staggerFrom("#slide2 div.titulo", 1, {autoAlpha: 0, y: -50, ease:Linear.easeNone}, 1)
    .staggerFrom("#slide2 div.oracion", 1, {autoAlpha: 0, y: -50, ease:Linear.easeNone}, 1)

    .from("#slide2_globo_te_damos_algunas_ideas", 1, {autoAlpha: 0, scale: 0, ease:Bounce.easeOut, delay: 2})
    .to("#slide2_globo_te_damos_algunas_ideas", 1, {autoAlpha: 0, scale: 0, ease:Bounce.easeOut, delay: 7})

    .to("#slide2", 2.5, tut.rotarHojaFueraProps())
;
timelineList.push({ timeline: currTimeline, position: "=-3" });


// - SLIDE 3 -
// describí las acciones que pueden realizar los robots
currTimeline = new TimelineMax()
    .from("#slide3", 2.5, tut.rotarHojaDentroProps())//
    .to("#robot_sonriente", 1, {scale: 0, autoAlpha: 0, x: 0, y: 0, ease:Linear.easeNone}, "=-1")
    .from("#la_tengo_clara", 1, { y: 400, autoAlpha:0,  ease:Bounce.easeOut }, "=-1")
    .from("#personaje_hablando", 2, { scale: 0, autoAlpha:0,  ease:Bounce.easeOut }, "=-2")
    .to("#personaje_hablando", 1, { scaleY: 1.2, scaleX: -1.2, ease:Bounce.easeOut }, "=-1")
    .staggerFrom("#slide3 div:not('.resaltado')", 1, {autoAlpha: 0, y: -50, ease:Linear.easeNone}, 1)
    .staggerFrom("#slide3 img", 1, {autoAlpha: 0, y: -50, rotation: 360, ease:Linear.easeNone}, 1)
    .staggerFrom("#slide3 div.resaltado", 1, {width: 0, ease: Circ.easeIn, delay: 2}, 1)
    // me voy
    .to("#slide3", 2.5, tut.rotarHojaFueraProps(4), "=-2" )
;
timelineList.push({ timeline: currTimeline, position: "=-3" });



// - SLIDE 4 -
// ahora mirá
currTimeline = new TimelineMax()
    .from("#slide4", 2.5, tut.rotarHojaDentroProps())
    .to("#personaje_hablando", 1, { scale: 0, autoAlpha: 0, ease:Bounce.easeOut }, "=-1")
    .to("#la_tengo_clara", 1, { x: -600,  scale: 1.1, ease:Bounce.easeOut }, "=-1")
    .from("#nave", 1, { scale: 0, autoAlpha: 0, ease:Linear.easeNone }, "=-1")
    .to("#nave", 1, { rotation: -60, scale: 1.5, ease:Linear.easeNone }, "=0")
    .staggerFrom("#slide4 div:not('.resaltado'), #slide4 a", 1, {autoAlpha: 0, y: -50, ease: Circ.easeIn}, 1)
    .staggerFrom("#slide4 div.resaltado", 1, {width: 0, ease: Circ.easeIn}, 1);

tut.flashElement(currTimeline, "#slide4 a", 1, 1.3);


currTimeline
    .to("#slide4", 2.5, tut.rotarHojaFueraProps(4))
;
timelineList.push({ timeline: currTimeline, position: "=-3" });


// - SLIDE 5 -
// ahora volvé al cuadro
currTimeline = new TimelineMax()
    .from("#slide5", 2.5, tut.rotarHojaDentroProps())
    .to("#nave", 1, { scale: 0, autoAlpha: 0, ease:Bounce.easeOut }, "=-1")
    .to("#la_tengo_clara", 1, { scale: 0, autoAlpha: 0, ease:Bounce.easeOut }, "=-1")
    .to("#robot_sonriente", 1, { scale: 1, x: -530, y: 60, autoAlpha: 1, ease:Bounce.easeOut })
    .staggerFrom("#slide5 div:not('.resaltado')", 1, {autoAlpha: 0, y: -50, ease: Circ.easeIn}, 1)
    .staggerFrom("#slide5_planilla_calculo img", 1, {rotation: 360, scale: 0, autoAlpha: 0}, 1)
    .staggerFrom("#slide5 div.resaltado", 1, {width: 0, ease: Circ.easeIn}, 1)
    .to("#slide5", 2.5, tut.rotarHojaFueraProps(4))

;

timelineList.push({ timeline: currTimeline, position: "=-3" });

// - SLIDE 6 -
// por último
currTimeline = new TimelineMax()
    .from("#slide6", 2.5, tut.rotarHojaDentroProps())
    .to("#robot_sonriente", 1, {y: 400, ease:Bounce.easeOut}, "=-2")
    .from("#nene_concentrado", 1, {autoAlpha: 0, scale: 0, y: 200, ease: Circ.easeIn})
    .from("#slide6_por_ultimo", 1, {autoAlpha: 0, y: -50, ease: Circ.easeIn})
    .to("#personaje_hablando", 1, { scale: 1.5, x: 660, autoAlpha: 1, ease:Bounce.easeOut }, "=-1")
    .staggerFrom("#slide6 .titulo span", 1, {autoAlpha: 0, scale: 0, ease: Circ.easeIn}, 1)
    .staggerFrom("#slide6_a_partir_de", 1, {autoAlpha: 0, x: 50, ease: Circ.easeIn}, 1)
;

timelineList.push({ timeline: currTimeline, position: "=-3" });

for (var i=0; i<timelineList.length; i++) {
    var item = timelineList[i];
    tl.add(item.timeline, item.position);
}

//Para los proyectos que tengan un "mas info" en el paso 1, hacemos que de vez en cuando haga saltar el boton para
//llamar la atencion.
// TODO: Integrarlo al slider-magic.js. En el play apagarla y en el pause prenderla solo si el progress es 0.
// var tl_masinfo = new TimelineMax( {repeat:-1, repeatDelay: 6, paused: true} );
// tl_masinfo.set("#slider_masinfo1", {clearProps: "all"})


